ets2 1.35 beta

Ask questions about the mod here. If useful they will be added to the Q&A / Development updates.
Forum rules
Please do not post any crashes, malfunctions or other issues with the mod in this forum. If you have any issues with the mod, please post them here. This forum is only for questions/feedback towards the team, not for solving crashes.
carder17
Posts: 1
Joined: 20 May 2018 21:21

04 May 2019 18:36

Hi there I was just wondering will ProMods 2.40 work with 1.35 betas that are out

User avatar
Trucker2223
Moderator
Posts: 3974
Joined: 16 Apr 2017 13:17
Donation rank:

04 May 2019 18:41

No, a new Map Update has to be made. Since it's alot of content to be added, it will take awhile to be finished
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

User avatar
ScuL
Founder
Posts: 7532
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

05 May 2019 04:20

Plus we never release for open betas
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image

CAPLV
Posts: 911
Joined: 11 Apr 2016 13:30
Donation rank:
Location: Jelgava

05 May 2019 07:33

atm its even experimental beta version :D
Image
ETS2 v.1.35 [DX11]+Roextended 2.2(P)+RSK Turkey 1.7+RusMap 1.9.0+TGS 1.2+[Paris RB 2.4.+North Map 1.7+Swed.islands 1.0] // [//Promods 2.40+Southern Region 7.8//]

Annaconda
Posts: 4
Joined: 02 Jul 2017 16:56
Donation rank:

05 May 2019 08:34

I was wondering if it's possible to have the maps updated sooner because most of the time it happens that by the time the latest Promods update is released, in few weeks the next game update comes from SCS and the Promods map is no longer compatible. So, because of this, we only get to enjoy the latest Promods map release for a very short period of time. Take it now, for example. Promods 2.40 has been released, but ETS2 1.35 is coming soon, in a matter of a couple of weeks, and it will no longer be compatible. By the time Promods 2.41 will come, ETS2 will almost release the new map DLC or 1.36. And so on. Is there no way to reduce this enormous incompatibility time gap..?

CAPLV
Posts: 911
Joined: 11 Apr 2016 13:30
Donation rank:
Location: Jelgava

05 May 2019 09:07

you always can keep current version till all your mods you use updates proper..
as i understand.. promods map in inner circle starts update starting from betas, but they never release versions for betas.. just proper versions for stable ets2 versions.
Image
ETS2 v.1.35 [DX11]+Roextended 2.2(P)+RSK Turkey 1.7+RusMap 1.9.0+TGS 1.2+[Paris RB 2.4.+North Map 1.7+Swed.islands 1.0] // [//Promods 2.40+Southern Region 7.8//]

User avatar
ScuL
Founder
Posts: 7532
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

05 May 2019 10:09

Annaconda wrote:
05 May 2019 08:34
I was wondering if it's possible to have the maps updated sooner
When SCS release an update, a lot of features in the game are changed. Most updates recently require heavy editing on the map side of things.
For instance, for some releases we had to convert all models in ProMods. Another update we had to convert all prefabs. Another update we had to manually check 5000 signs.
Every time SCS makes new features, the map makers will have to convert and follow. This process takes time. Sometimes it takes a few days, sometimes a few weeks, sometimes a few months.
It's not possible to update maps sooner than we already try to do.
Annaconda wrote:
05 May 2019 08:34
because most of the time it happens that by the time the latest Promods update is released, in few weeks the next game update comes from SCS and the Promods map is no longer compatible.
It always remains the user's choice to update or not to update. If you wish to continue playing ProMods then downgrade the game back to the last stable version.
Annaconda wrote:
05 May 2019 08:34
but ETS2 1.35 is coming soon, in a matter of a couple of weeks
1.35 will have a very long beta cycle and it is probably up to 1 month before it will become official.
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image

krmarci
Posts: 5
Joined: 17 Apr 2019 20:54

08 May 2019 15:57

Did someone try if ProMods 2.40 works with the 1.35 beta?

User avatar
Trucker2223
Moderator
Posts: 3974
Joined: 16 Apr 2017 13:17
Donation rank:

08 May 2019 16:29

it wont be activateable, since in the Manifest.sii of the files, it locked to 1.34
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019

GLBURTON
Posts: 2
Joined: 28 Aug 2018 14:13
Donation rank:

11 May 2019 12:33

carder17 wrote:
04 May 2019 18:36
Hi there I was just wondering will ProMods 2.40 work with 1.35 betas that are out

So when we be able to pay promods 2.40 with 1.35 beta



Post Reply
  • Information
  • Who is online

    Users browsing this forum: arnasv, Toni1987 and 5 guests